#pragma once
#include "global.h"
#include "CMyListBox.h"
class CMCCharTable : public CDialog
{
	DECLARE_DYNAMIC(CMCCharTable)
	DECLARE_MESSAGE_MAP()
public:
	CMCCharTable(CWnd* pParent = nullptr);   // 标准构造函数
	virtual ~CMCCharTable();
	// 对话框数据
#ifdef AFX_DESIGN_TIME
	enum { IDD = IDD_CMCCHAR_TABLE };
#endif
	void* pMainEditor = nullptr;
	void* pParentWindow = nullptr;
	void UpdateContext();//更新内容
protected:
	void DoDataExchange(CDataExchange* pDX) override;
	BOOL OnInitDialog() override;
	void OnCancel() override;
	void OnEnterKey();//空函数 阻止回车键退出
public:
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnAddLabel();
	afx_msg void OnRenameLabel();
	afx_msg void OnDeleteLabel();
	afx_msg void OnShowWindow(BOOL bShow, UINT nStatus);
private:
	//控件
	CStatic* groupbox_mcchar;
	CMyListBox list_mcchar;
	CStatic* groupbox_same;
	CMyListBox list_same;
};

